curl --request POST \
--url https://api.example.com/api/v1/burn-in/sites/{site_id}/test-executions/coverage/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"outcomes": [],
"device_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"test_slugs": [],
"completed_at_after": "2023-11-07T05:31:56Z",
"completed_at_before": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.example.com/api/v1/burn-in/sites/{site_id}/test-executions/coverage/"
payload = {
"outcomes": [],
"device_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"test_slugs": [],
"completed_at_after": "2023-11-07T05:31:56Z",
"completed_at_before": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
outcomes: [],
device_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
test_slugs: [],
completed_at_after: '2023-11-07T05:31:56Z',
completed_at_before: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.example.com/api/v1/burn-in/sites/{site_id}/test-executions/coverage/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/burn-in/sites/{site_id}/test-executions/coverage/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'outcomes' => [
],
'device_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'test_slugs' => [
],
'completed_at_after' => '2023-11-07T05:31:56Z',
'completed_at_before' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/burn-in/sites/{site_id}/test-executions/coverage/"
payload := strings.NewReader("{\n \"outcomes\": [],\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"test_slugs\": [],\n \"completed_at_after\": \"2023-11-07T05:31:56Z\",\n \"completed_at_before\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/burn-in/sites/{site_id}/test-executions/coverage/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"outcomes\": [],\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"test_slugs\": [],\n \"completed_at_after\": \"2023-11-07T05:31:56Z\",\n \"completed_at_before\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/burn-in/sites/{site_id}/test-executions/coverage/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"outcomes\": [],\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"test_slugs\": [],\n \"completed_at_after\": \"2023-11-07T05:31:56Z\",\n \"completed_at_before\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"tests": {}
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Check burn-in test coverage
Return coverage buckets for the requested devices and burn-in test slugs. This is a read-style POST: pass/fail is determined from lightweight threshold evaluation of the latest visible execution, error uses stored execution status, unevaluated means the latest visible execution could not be meaningfully threshold-evaluated, and missing means no visible execution exists.
curl --request POST \
--url https://api.example.com/api/v1/burn-in/sites/{site_id}/test-executions/coverage/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"outcomes": [],
"device_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"test_slugs": [],
"completed_at_after": "2023-11-07T05:31:56Z",
"completed_at_before": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.example.com/api/v1/burn-in/sites/{site_id}/test-executions/coverage/"
payload = {
"outcomes": [],
"device_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"test_slugs": [],
"completed_at_after": "2023-11-07T05:31:56Z",
"completed_at_before": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
outcomes: [],
device_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
test_slugs: [],
completed_at_after: '2023-11-07T05:31:56Z',
completed_at_before: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.example.com/api/v1/burn-in/sites/{site_id}/test-executions/coverage/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/burn-in/sites/{site_id}/test-executions/coverage/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'outcomes' => [
],
'device_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'test_slugs' => [
],
'completed_at_after' => '2023-11-07T05:31:56Z',
'completed_at_before' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/burn-in/sites/{site_id}/test-executions/coverage/"
payload := strings.NewReader("{\n \"outcomes\": [],\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"test_slugs\": [],\n \"completed_at_after\": \"2023-11-07T05:31:56Z\",\n \"completed_at_before\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/burn-in/sites/{site_id}/test-executions/coverage/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"outcomes\": [],\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"test_slugs\": [],\n \"completed_at_after\": \"2023-11-07T05:31:56Z\",\n \"completed_at_before\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/burn-in/sites/{site_id}/test-executions/coverage/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"outcomes\": [],\n \"device_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"test_slugs\": [],\n \"completed_at_after\": \"2023-11-07T05:31:56Z\",\n \"completed_at_before\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"tests": {}
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
^[0-9a-fA-F-]{36}$Body
Request payload for site-scoped burn-in coverage gap queries.
passed- Passedfailed- Failederror- Errorunevaluated- Unevaluatedmissing- Missing
passed, failed, error, unevaluated, missing 500Burn-in test slugs to report coverage for. Rejected with 400 for tests hidden from read paths (multi-node.hello-world, single-node.hello-world) — they have no visible evidence, so a coverage verdict for them would be meaningless.
100multi-node.hello-world- multi-node.hello-worldmulti-node.iperf-matrix- multi-node.iperf-matrixmulti-node.nccl-all-gather- multi-node.nccl-all-gathermulti-node.nccl-all-reduce- multi-node.nccl-all-reducemulti-node.nccl-all-reduce-multi-rack- multi-node.nccl-all-reduce-multi-rackmulti-node.nccl-all-to-all- multi-node.nccl-all-to-allmulti-node.nvloom- multi-node.nvloommulti-node.pairwise-net-gpu.bw- multi-node.pairwise-net-gpu.bwmulti-node.pairwise-net-gpu.lat- multi-node.pairwise-net-gpu.latmulti-node.pairwise-net.bw- multi-node.pairwise-net.bwmulti-node.pairwise-net.lat- multi-node.pairwise-net.latmulti-node.s3-elbencho- multi-node.s3-elbenchomulti-node.storage-elbencho- multi-node.storage-elbenchomulti-node.training-gpt-oss-120b- multi-node.training-gpt-oss-120bmulti-node.training-llama3-1-405b- multi-node.training-llama3-1-405bmulti-node.training-llama3-70b- multi-node.training-llama3-70bmulti-node.training-nemotron-24x2h- multi-node.training-nemotron-24x2hmulti-node.training-nemotron-checkpoint- multi-node.training-nemotron-checkpointmulti-node.training-nemotron-h- multi-node.training-nemotron-hmulti-node.training-nemotron-h-multi-rack- multi-node.training-nemotron-h-multi-rackmulti-node.training-qwen3-235b- multi-node.training-qwen3-235bsingle-node.babelstream- single-node.babelstreamsingle-node.dcgmi-diag- single-node.dcgmi-diagsingle-node.gpu-fryer- single-node.gpu-fryersingle-node.hello-world- single-node.hello-worldsingle-node.hpl-cpu- single-node.hpl-cpusingle-node.hpl-gpu- single-node.hpl-gpusingle-node.lmbench-lat-mem-rd- single-node.lmbench-lat-mem-rdsingle-node.memtester- single-node.memtestersingle-node.nccl-all-gather- single-node.nccl-all-gathersingle-node.nccl-all-reduce- single-node.nccl-all-reducesingle-node.nccl-all-reduce-loopback- single-node.nccl-all-reduce-loopbacksingle-node.nccl-all-to-all- single-node.nccl-all-to-allsingle-node.node-health-check- single-node.node-health-checksingle-node.nvme-fio- single-node.nvme-fiosingle-node.nvme-self-test- single-node.nvme-self-testsingle-node.storage-elbencho- single-node.storage-elbenchosingle-node.stream- single-node.streamsingle-node.stress-ng-cpu- single-node.stress-ng-cpusingle-node.training-llama3-8b- single-node.training-llama3-8bsingle-node.training-nemotronh-8b- single-node.training-nemotronh-8b
multi-node.hello-world, multi-node.iperf-matrix, multi-node.nccl-all-gather, multi-node.nccl-all-reduce, multi-node.nccl-all-reduce-multi-rack, multi-node.nccl-all-to-all, multi-node.nvloom, multi-node.pairwise-net-gpu.bw, multi-node.pairwise-net-gpu.lat, multi-node.pairwise-net.bw, multi-node.pairwise-net.lat, multi-node.s3-elbencho, multi-node.storage-elbencho, multi-node.training-gpt-oss-120b, multi-node.training-llama3-1-405b, multi-node.training-llama3-70b, multi-node.training-nemotron-24x2h, multi-node.training-nemotron-checkpoint, multi-node.training-nemotron-h, multi-node.training-nemotron-h-multi-rack, multi-node.training-qwen3-235b, single-node.babelstream, single-node.dcgmi-diag, single-node.gpu-fryer, single-node.hello-world, single-node.hpl-cpu, single-node.hpl-gpu, single-node.lmbench-lat-mem-rd, single-node.memtester, single-node.nccl-all-gather, single-node.nccl-all-reduce, single-node.nccl-all-reduce-loopback, single-node.nccl-all-to-all, single-node.node-health-check, single-node.nvme-fio, single-node.nvme-self-test, single-node.storage-elbencho, single-node.stream, single-node.stress-ng-cpu, single-node.training-llama3-8b, single-node.training-nemotronh-8b Optionally scope coverage to a single execution stage.
single_node- Single Nodepairwise- Pairwisecollective- Collective
single_node, pairwise, collective Response
Slug-keyed coverage response for requested burn-in tests.
Show child attributes
Show child attributes